Skip to main content
GET
/
projects
/
{project_id}
/
tasks
/
search
Search Project Tasks
curl --request GET \
  --url https://api.everhour.com/projects/{project_id}/tasks/search \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.everhour.com/projects/{project_id}/tasks/search"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.everhour.com/projects/{project_id}/tasks/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "ev:9876543210",
    "name": "Task Name",
    "projects": [
      "ev:1234567890"
    ],
    "section": 1234,
    "labels": [
      "high",
      "bug"
    ],
    "position": 1,
    "description": "<string>",
    "dueAt": "2018-03-05 16:00:00",
    "status": "open",
    "time": {
      "total": 7200,
      "users": {
        "1304": 3600,
        "1543": 3600
      }
    },
    "estimate": {
      "total": 7200,
      "type": "overall",
      "users": {
        "1304": 3600,
        "1543": 3600
      }
    },
    "attributes": {
      "Client": "Everhour",
      "Priority": "high"
    },
    "metrics": {
      "efforts": 42,
      "expenses": 199
    },
    "unbillable": true
  }
]

Authorizations

X-Api-Key
string
header
required

Path Parameters

project_id
string
required

Project ID

Example:

"ev:1234567789001"

Query Parameters

query
string

Search query

Example:

"Managem"

limit
integer

Max number of search results

Example:

10

searchInClosed
boolean

Should we search in closed/completed tasks?

Example:

false

searchInUnscheduled
boolean

Return unscheduled tasks (not in any section). Works without a query.

Example:

false

Response

OK

id
string
required
Example:

"ev:9876543210"

name
string
required
Example:

"Task Name"

projects
string[]
required

List of projects ID

Example:
["ev:1234567890"]
section
number | null

Section ID

Example:

1234

labels
string[]
Example:
["high", "bug"]
position
number
Example:

1

description
string | null
dueAt
string | null

Format: Y-m-d H:i:s

Example:

"2018-03-05 16:00:00"

status
enum<string>
Available options:
open,
closed
Example:

"open"

time
object
estimate
object
attributes
object

Custom attributes from integration

Example:
{ "Client": "Everhour", "Priority": "high" }
metrics
object

Custom metrics from integration

Example:
{ "efforts": 42, "expenses": 199 }
unbillable
boolean